{

"platform":{
    "name":"swFOCE-gw2",
    "platform_id":12000,
    "description": "gateway2"
},

"debug":[
    {"module":"ALL","level":"INFO"},
    {"module":"XF_CONFIG","level":"DEBUG"},
    {"module":"XF_GATEWAY","level":"DEBUG"},
    {"module":"XF_DREACTOR","level":"INFO"},
    {"module":"XF_SDCLIENT","level":"INFO"},
    {"module":"XF_PSSERVER","level":"INFO"},
    {"module":"XF_PROXSVR","level":"INFO"},
    {"module":"SYSGW","level":"INFO"},
    {"module":"SYSSN","level":"INFO"},
    {"module":"SYSMEH","level":"INFO"},
    {"module":"SBE18S","level":"DEBUG"},
    {"module":"SBE52MP","level":"DEBUG"},
    {"module":"SATPAR","level":"INFO"},
    {"module":"ESWV","level":"INFO"},
    {"module":"BB232","level":"INFO"},
    {"module":"LOOP","level":"INFO"}
],

"control":{
	"algorithm":"PID"
},

"messaging":{
	"sdat_enabled":"true",
	"pubsub_enabled":"true",
	"sdat_pri":{"host":"localhost", "port":5556},
	"sdat_sec":{"host":"localhost", "port":5560},
	"pub_port":5569,
	"sub_port":5570,
	"proxy_port":5554,
	"proxy_hport":5454,
	"pubsub_proxy":{"host":"TBD.shore.mbari.org","port":5678}
},

"syslog":{
	"seg_size":"2M",
	"seg_count":20,
	"detail":"DEBUG"
},

"sampling":{
	"sync_supervisor":{"id":"SYNC_SUPERVISOR", "name":"sync supervisor","period_sec":0,"period_msec":250,"timer":0},
	"xfsys_supervisor":{"id":"XFSYS_SUPERVISOR", "name":"xfsys supervisor","period_sec":4,"period_msec":0,"timer":1},
	"control_supervisor":{"id":"CONTROL_SUPERVISOR", "name":"control supervisor","period_sec":1,"period_msec":0,"timer":2}
},

"streams":[		
    {"dtype":"sysgw","instance":0,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/sysgw.0/stat"},
    {"dtype":"syssn","instance":0,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/syssn.0/stat"},
    {"dtype":"sysmeh","instance":0,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/sysmeh.0/stat"},

    {"dtype":"sbe18s","instance":0,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/ph.0/stat"},
    {"dtype":"sbe18s","instance":1,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/ph.1/stat"},
    {"dtype":"sbe18s","instance":2,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/ph.2/stat"},
    {"dtype":"sbe18s","instance":3,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/ph.3/stat"},

    {"dtype":"sbe52mp","instance":0, "stream_id":101,"flags":"LOG|PARSE",
    "post_topic":"-",                     "pub_topic":"/data/sbe52mp.0/ctdo"},
    {"dtype":"sbe52mp","instance":0, "stream_id":103,"flags":"PUB|POST",
    "post_topic":"/sdata/tref", "ttl":120, "pub_topic":"/data/sbe52mp.0/tref"},

    {"dtype":"sbe52mp","instance":1,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/sbe52mp.1/stat"},

    {"dtype":"satpar","instance":0,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/satpar.0/stat"},
    {"dtype":"satpar","instance":1,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/satpar.1/stat"},

    {"dtype":"thruster", "instance":0, "stream_id":101,"flags":"LOG|PARSE",
    "post_topic":"-",                     "pub_topic":"/data/thruster.0/stat"},
    {"dtype":"thruster", "instance":0, "stream_id":102,"flags":"POST|PUB",
    "post_topic":"/sdata/dcy",  "ttl":5,  "pub_topic":"/data/thruster.0/dcy"},

    {"dtype":"eswv","instance":0,"stream_id":101,"flags":"LOG|PARSE",
    "post_topic":"-",             "pub_topic":"/data/eswv.0/stat"},
    {"dtype":"eswv","instance":0,"stream_id":102,"flags":"PUB|POST",
    "post_topic":"/sdata/esw0-v0",      "pub_topic":"/data/eswv.0/v0pos"},
    {"dtype":"eswv","instance":0,"stream_id":103,"flags":"PUB|POST",
    "post_topic":"/sdata/esw0-v1",      "pub_topic":"/data/eswv.0/v1pos"},

    {"dtype":"eswv","instance":1,"stream_id":101,"flags":"LOG|PARSE",
    "post_topic":"-",             "pub_topic":"/data/eswv.1/stat"},
    {"dtype":"eswv","instance":1,"stream_id":102,"flags":"PUB|POST",
    "post_topic":"/sdata/esw1-v0",      "pub_topic":"/data/eswv.1/v0pos"},
    {"dtype":"eswv","instance":1,"stream_id":103,"flags":"PUB|POST",
    "post_topic":"/sdata/esw1-v1",      "pub_topic":"/data/eswv.1/v1pos"},

    {"dtype":"loop","instance":0,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/loop.0/stat"},
    {"dtype":"loop","instance":1,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/loop.1/stat"},
    {"dtype":"loop","instance":2,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/loop.2/stat"},
    {"dtype":"loop","instance":3,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/loop.3/stat"},
    {"dtype":"loop","instance":4,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/loop.4/stat"},
    {"dtype":"loop","instance":5,"stream_id":101,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/data/loop.5/stat"},

    {"dtype":"DEVICE","instance":-1,"stream_id":99,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/alarm"},
    {"dtype":"DEVICE","instance":-1,"stream_id":0,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/smeta"},
    {"dtype":"DEVICE","instance":-1,"stream_id":1,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/sprops"},
    {"dtype":"DEVICE","instance":-1,"stream_id":2,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/dprops"},
    {"dtype":"DEVICE","instance":-1,"stream_id":3,"flags":"LOG|PUB",
    "post_topic":"-",             "pub_topic":"/dmeta"}
],

"service":{
"dtype":"sysgw",
"instance":0,
"source_id":1840,
"name":"g2",
"function":"gateway",
"location":"gw2",
"power":{"policy":"POWER_NEVER","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":0},
"log":{"seg_size":"10M","seg_count":"500"},
"resources":[
{"rtype":"POW","index":0,"srid":"POW_SNODE0"},
{"rtype":"POW","index":1,"srid":"POW_SNODE1"},
{"rtype":"POW","index":2,"srid":"POW_SNODE2"},
{"rtype":"POW","index":3,"srid":"POW_SNODE3"},
{"rtype":"DIO","index":0,"srid":"DIO2"},
{"rtype":"DIO","index":1,"srid":"DIO5"},
{"rtype":"DIO","index":2,"srid":"DIO6"},
{"rtype":"DIO","index":3,"srid":"DIO16"},
{"rtype":"AIO","index":0,"srid":"AIO4"},
{"rtype":"AIO","index":1,"srid":"AIO5"},
{"rtype":"SPI","index":0,"srid":"SPI10"},
{"rtype":"SPI","index":1,"srid":"SPI11"}
],

"workers":[
{"name":"gw2_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"30000",
"op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},

"service":{
"dtype":"syssn",
"instance":0,
"source_id":1843,
"name":"syssn2",
"function":"snode_monitor",
"location":"g2",
"power":{"policy":"POWER_NEVER","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":0},
"log":{"seg_size":"10M","seg_count":"500"},

"resources":[
{"rtype":"IO","index":0,"srid":"IO_SNODE0"},
{"rtype":"IO","index":1,"srid":"IO_SNODE1"},
{"rtype":"IO","index":2,"srid":"IO_SNODE2"},
{"rtype":"IO","index":3,"srid":"IO_SNODE3"}
],

"properties":{
"adc00":{"name":"chan 0","cal":"lin", "units":"Ibus",       "k0":0.000092, "k1":0.0, "k2":0.0},
"adc01":{"name":"chan 1","cal":"lin", "units":"Vbus",       "k0":0.000732, "k1":0.0, "k2":0.0},
"adc02":{"name":"chan 2","cal":"lin", "units":"I port 0",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc03":{"name":"chan 3","cal":"lin", "units":"I port 1",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc04":{"name":"chan 4","cal":"lin", "units":"I port 2",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc05":{"name":"chan 5","cal":"lin", "units":"I port 3",   "k0":0.000092, "k1":0.0, "k2":0.0},
"adc06":{"name":"chan 6","cal":"lin", "units":"I 4-20mA",   "k0":0.000279, "k1":4.0, "k2":0.0},
"adc07":{"name":"chan 7","cal":"raw", "units":"adc counts", "k0":0.000046, "k1":0.0, "k2":0.0},
"adc10":{"name":"chan 0","cal":"lin", "units":"Ibus",       "k0":0.000092, "k1":0.0, "k2":0.0},
"adc11":{"name":"chan 1","cal":"lin", "units":"Vbus",       "k0":0.000732, "k1":0.0, "k2":0.0},
"adc12":{"name":"chan 2","cal":"lin", "units":"I port 0",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc13":{"name":"chan 3","cal":"lin", "units":"I port 1",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc14":{"name":"chan 4","cal":"lin", "units":"I port 2",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc15":{"name":"chan 5","cal":"lin", "units":"I port 3",   "k0":0.000092, "k1":0.0, "k2":0.0},
"adc16":{"name":"chan 6","cal":"lin", "units":"I 4-20mA",   "k0":0.000279, "k1":4.0, "k2":0.0},
"adc17":{"name":"chan 7","cal":"raw", "units":"adc counts", "k0":0.000046, "k1":0.0, "k2":0.0},
"adc20":{"name":"chan 0","cal":"lin", "units":"Ibus",       "k0":0.000092, "k1":0.0, "k2":0.0},
"adc21":{"name":"chan 1","cal":"lin", "units":"Vbus",       "k0":0.000732, "k1":0.0, "k2":0.0},
"adc22":{"name":"chan 2","cal":"lin", "units":"I port 0",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc23":{"name":"chan 3","cal":"lin", "units":"I port 1",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc24":{"name":"chan 4","cal":"lin", "units":"I port 2",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc25":{"name":"chan 5","cal":"lin", "units":"I port 3",   "k0":0.000092, "k1":0.0, "k2":0.0},
"adc26":{"name":"chan 6","cal":"lin", "units":"I 4-20mA",   "k0":0.000279, "k1":4.0, "k2":0.0},
"adc27":{"name":"chan 7","cal":"raw", "units":"adc counts", "k0":0.000046, "k1":0.0, "k2":0.0},
"adc30":{"name":"chan 0","cal":"lin", "units":"Ibus",       "k0":0.000092, "k1":0.0, "k2":0.0},
"adc31":{"name":"chan 1","cal":"lin", "units":"Vbus",       "k0":0.000732, "k1":0.0, "k2":0.0},
"adc32":{"name":"chan 2","cal":"lin", "units":"I port 0",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc33":{"name":"chan 3","cal":"lin", "units":"I port 1",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc34":{"name":"chan 4","cal":"lin", "units":"I port 2",   "k0":0.000031, "k1":0.0, "k2":0.0},
"adc35":{"name":"chan 5","cal":"lin", "units":"I port 3",   "k0":0.000092, "k1":0.0, "k2":0.0},
"adc36":{"name":"chan 6","cal":"lin", "units":"I 4-20mA",   "k0":0.000279, "k1":4.0, "k2":0.0},
"adc37":{"name":"chan 7","cal":"raw", "units":"adc counts", "k0":0.000046, "k1":0.0, "k2":0.0}
},
"workers":[
    {"name":"syssn2_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"30000",
    "op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},

"service":{
"dtype":"sysmeh",
"instance":0,
"source_id":1845,
"name":"sysmeh2",
"function":"meh",
"location":"meh2",
"power":{"policy":"POWER_NEVER","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":0},
"log":{"seg_size":"10M","seg_count":"500"},
"resources":[
    {"rtype":"IO","index":0,"srid":"IO_PTY0"}
],
"properties":{
"init":"0002",
"adc0":{"name":"chan 0","cal":"lin", "units":"MC_1",     "k0":0.0196078, "k1":0.0, "k2":0.0},
"adc1":{"name":"chan 1","cal":"lin", "units":"MC_2",     "k0":0.0196078, "k1":0.0, "k2":0.0},
"adc2":{"name":"chan 2","cal":"lin", "units":"Temp (C)", "k0":0.0196078, "k1":0.0, "k2":0.0},
"adc3":{"name":"chan 3","cal":"lin", "units":"RH (%)",   "k0":0.0196078, "k1":0.0, "k2":0.0},
"adc4":{"name":"chan 4","cal":"lin", "units":"H2O_1",    "k0":0.0196078, "k1":0.0, "k2":0.0},
"adc5":{"name":"chan 5","cal":"lin", "units":"H2O_2",    "k0":0.0196078, "k1":0.0, "k2":0.0},
"adc6":{"name":"chan 6","cal":"lin", "units":"NC",       "k0":0.0196078, "k1":0.0, "k2":0.0},
"adc7":{"name":"chan 7","cal":"lin", "units":"NC",       "k0":0.0196078, "k1":0.0, "k2":0.0}
},
"workers":[
{"name":"sysmeh2_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"60000",
"op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},


"service":{
"dtype":"sbe18s",
"instance":0,
"source_id":1848,
"name":"ph20",
"function":"ph",
"location":"g2u3o",
"power":{"policy":"POWER_ALWAYS","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":5000},
"log":{"seg_size":"10M","seg_count":"500"},
"resources":[
{"rtype":"IO","index":0,"srid":"IO_SNPORT00"},
{"rtype":"POW","index":0,"srid":"POW_SNPORT00"}
],
"properties":{
    "cal_k":1.984214e-4, "cal_slo":4.4146, "cal_off":2.6038, "cal_cor":0.0197, "ofmt":1, "drain_msec":"5", "tref":"/sdata/tref"
},
"workers":[
    {"name":"ph20_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"60000",
    "op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},

"service":{
"dtype":"sbe18s",
"instance":1,
"source_id":1833,
"name":"ph21",
"function":"ph",
"location":"g2u3i",
"power":{"policy":"POWER_ALWAYS","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":5000},
"log":{"seg_size":"10M","seg_count":"500"},
"resources":[
{"rtype":"IO","index":0,"srid":"IO_SNPORT01"},
{"rtype":"POW","index":0,"srid":"POW_SNPORT01"}
],
"properties":{
"cal_k":1.984214e-4,"cal_slo":4.1706, "cal_off":2.5798, "cal_cor":-0.0175, "ofmt":1, "drain_msec":"5", "tref":"/sdata/tref"
},
"workers":[
{"name":"ph21_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"60000",
"op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},

"service":{
"dtype":"sbe52mp",
"instance":0,
"source_id":1752,
"name":"ctdo20",
"function":"ctdo",
"location":"g2u3",
"power":{"policy":"POWER_ALWAYS","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":15000},
"log":{"seg_size":"10M","seg_count":"-1"},
"resources":[
{"rtype":"IO","index":0,"srid":"IO_SNPORT02"},
{"rtype":"POW","index":0,"srid":"POW_SNPORT02"},
{"rtype":"POW","index":1,"srid":"POW_SNPORT03"}
],
"properties":{"ipspeed":"on","xppow":"always", "sdel":10000, "wrdel":2100},
"workers":[
{"name":"sbe52mp_0_sampler", "super":"SYNC_SUPERVISOR", "period_msec":"60000",
"op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}

//,{"name":"ctdo20_pump", "super":"SYNC_SUPERVISOR", "period_msec":"90000",
//"op_id":"ACT","index":0,"opts":"pump=fast"}
]
},

"service":{
"dtype":"satpar",
"instance":0,
"source_id":1820,
"name":"par20",
"function":"par",
"location":"g2s2p0",
"power":{"policy":"POWER_ALWAYS","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":5000},
"log":{"seg_size":"10M","seg_count":"500"},
"resources":[
{"rtype":"IO","index":0,"srid":"IO_SNPORT20"},
{"rtype":"POW","index":0,"srid":"POW_SNPORT20"}
],

"workers":[
{"name":"par20_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"60000",
"op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},

"service":{
"dtype":"thruster",
"instance":0,
"source_id":1821,
"name":"thruster20",
"function":"flow_thruster",
"location":"g2",
"power":{"policy":"POWER_NEVER","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":8000},
"log":{"seg_size":"10M","seg_count":"500"},
"resources":[
{"rtype":"IO","index":0,"srid":"IO_PTY1"}
],

"workers":[
{"name":"thruster20_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"60000",
"op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},

"service":{
"dtype":"eswv",
"instance":0,
"source_id":1847,
"name":"esvw20",
"function":"esw_vcon",
"location":"g2",
"power":{"policy":"POWER_ALWAYS","pon_delay_msec":0},
"sampling":{"sdel":0, "retries":3,"tmout_msec":0},
"log":{"seg_size":"10M","seg_count":"500"},
"resources":[
{"rtype":"IO","index":0,"srid":"IO_SNPORT30"},
{"rtype":"POW","index":0,"srid":"POW_SNPORT30"}
],

"workers":[
{"name":"esvw20_sampler", "supervisor":"SYNC_SUPERVISOR", "period_msec":"60000",
"op_id":"GETD","index":0,"opts":"flags=DRV_LOG_DATA|DRV_LOG_ERR,dtype=0"}
]
},



"snodes":[
	{"srid":"IO_SNODE0","io_srid":"IO_TTY1"},
	{"srid":"IO_SNODE1","io_srid":"IO_TTY2"},
	{"srid":"IO_SNODE2","io_srid":"IO_TTY4"},
	{"srid":"IO_SNODE3","io_srid":"IO_TTY5"}
],

"io":[
    {"srid":"IO_SNPORT00","speed":38400,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT01","speed":38400,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT02","speed":9600, "csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT10","speed":38400,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT11","speed":38400,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT12","speed":9600, "csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT20","speed":19200,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT21","speed":19200,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT22","speed":19200,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT30","speed":9600,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT31","speed":9600,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_SNPORT32","speed":9600,"csize":8,"par":"N","stopb":1},
    {"srid":"IO_TTY1","speed":115200,"csize":8,"par":"N","stopb":1,"path":"/dev/ttyO1"},
    {"srid":"IO_TTY2","speed":115200,"csize":8,"par":"N","stopb":1,"path":"/dev/ttyO2"},
    {"srid":"IO_TTY4","speed":115200,"csize":8,"par":"N","stopb":1,"path":"/dev/ttyO4"},
    {"srid":"IO_TTY5","speed":115200,"csize":8,"par":"N","stopb":1,"path":"/dev/ttyO5"},
    {"srid":"IO_PTY0","speed":115200,"csize":8,"par":"N","stopb":1,"path":"/dev/ttyME00"},
    {"srid":"IO_PTY1","speed":9600,"csize":8,"par":"N","stopb":1,"path":"/dev/ttyME01"}
],


"dio":[
    {"srid":"DIO0", "dir":"O","act":"H","sig":"S", "init":"H"},
    {"srid":"DIO1", "dir":"O","act":"H","sig":"S", "init":"H"},
    {"srid":"DIO2", "dir":"O","act":"H","sig":"S", "init":"L"},
    {"srid":"DIO3", "dir":"O","act":"H","sig":"S", "init":"L"},
    {"srid":"DIO4", "dir":"O","act":"H","sig":"PL","init":"H","pw_msec":100},
    {"srid":"DIO5", "dir":"O","act":"H","sig":"S", "init":"L"},
    {"srid":"DIO6", "dir":"I","act":"H","sig":"S", "init":"N"},
    {"srid":"DIO7", "dir":"O","act":"H","sig":"PL","init":"H","pw_msec":100},
    {"srid":"DIO8", "dir":"O","act":"H","sig":"PL","init":"H","pw_msec":100},
    {"srid":"DIO9", "dir":"O","act":"H","sig":"PL","init":"H","pw_msec":100},
    {"srid":"DIO10","dir":"O","act":"H","sig":"PL","init":"H","pw_msec":100},
    {"srid":"DIO11","dir":"O","act":"H","sig":"PL","init":"H","pw_msec":100},
    {"srid":"DIO12","dir":"O","act":"H","sig":"PL","init":"H","pw_msec":100},
    {"srid":"DIO13","dir":"O","act":"H","sig":"S", "init":"H"},
    {"srid":"DIO14","dir":"O","act":"H","sig":"PL","init":"L","pw_msec":100},
    {"srid":"DIO15","dir":"O","act":"H","sig":"S", "init":"H"},
    {"srid":"DIO16","dir":"I","act":"H","sig":"S", "init":"N"},
    {"srid":"DIO17","dir":"O","act":"H","sig":"S", "init":"H"},
    {"srid":"DIO18","dir":"I","act":"H","sig":"S", "init":"N"},
    {"srid":"DIO19","dir":"I","act":"H","sig":"S", "init":"N"},
    {"srid":"DIO20","dir":"I","act":"H","sig":"S", "init":"N"},
    {"srid":"DIO21","dir":"I","act":"H","sig":"S", "init":"N"},
    {"srid":"DIO22","dir":"I","act":"H","sig":"S", "init":"N"}
],

"aio":[
    {"srid":"AIO0","dir":"I","scale":1.0,"offset":0,"samples":10},
	{"srid":"AIO1","dir":"I","scale":1.0,"offset":0,"samples":10},
	{"srid":"AIO2","dir":"I","scale":1.0,"offset":0,"samples":10},
	{"srid":"AIO3","dir":"I","scale":1.0,"offset":0,"samples":10},
	{"srid":"AIO4","dir":"I","scale":1.0,"offset":0,"samples":10},
	{"srid":"AIO5","dir":"I","scale":1.0,"offset":0,"samples":10},
	{"srid":"AIO6","dir":"I","scale":1.0,"offset":0,"samples":10},
	{"srid":"AIO7","dir":"I","scale":1.0,"offset":0,"samples":10}
],

"pow":[
    {"srid":"POW_SNODE0","on_srid":"DIO11","off_srid":"DIO12","state_srid":"DIO19", "read_srid":"AIO0"},
    {"srid":"POW_SNODE1","on_srid":"DIO9", "off_srid":"DIO10","state_srid":"DIO20", "read_srid":"AIO1"},
    {"srid":"POW_SNODE2","on_srid":"DIO14","off_srid":"DIO4", "state_srid":"DIO21", "read_srid":"AIO2"},
    {"srid":"POW_SNODE3","on_srid":"DIO8", "off_srid":"DIO7", "state_srid":"DIO22", "read_srid":"AIO3"}
],

"spi":[
	{"srid":"SPI10","mode":"DFL", "speed":240000, "wlen":8, "delay":0, "cschg":"N"},
	{"srid":"SPI11","mode":"DFL", "speed":240000, "wlen":8, "delay":0, "cschg":"N"}
]

}
